/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model;

import java.util.List;

/**
 * Represents a Module as is is loaded from the config
 */
public class Module {

    private final String name;

    /** 
     * Defines an (optional) group name for a module. Modules with the same group name are considered to be in the same group
     * This can be uised to group modules in the front-end  
     */
    private final String group;

    private final boolean selected;

    private final List<String> rivers;

    public Module(final String name, final boolean selected, final String group, final List<String> rivers) {
        this.name = name;
        this.group = group;
        this.rivers = rivers;
        this.selected = selected;
    }

    public String getName() {
        return this.name;
    }

    public boolean isSelected() {
        return this.selected;
    }
    
    public String getGroup() {
        return this.group;
    }

    public List<String> getRivers() {
        return this.rivers;
    }
}

// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 tw=80:
